import { browser, driver } from '@wdio/globals';
import { After, When, Given } from '@wdio/cucumber-framework';

Given(/^I am on the type-full page$/, async () => {
  await browser.url(`http://localhost:${process.env.PORT}`);
});

/*Given(/^I am on the (.*) page$/, async page => {
  await browser.url(`http://localhost:${process.env.PORT}`);
});*/

When(/^I set screen (.*) size$/, async value => {
  const model = {
    large: {
      width: 1280,
      height: 800
    },
    small: {
      width: 640,
      height: 800
    }
  };
  await browser.setWindowSize(model[value].width, model[value].height);
});

After(async function () {
  const screenshot = await driver.takeScreenshot();
  this.attach(screenshot, { mediaType: 'base64:image/png' });
});
