const { Then } = require('@wdio/cucumber-framework');
const { expect, $ } = require('@wdio/globals');
const { playlist, player } = require('./type-full.locators.js');

Then(/^I play first media item from playlist$/, async () => {
  await expect($(playlist.item0)).toBeExisting();
  await expect($(playlist.item1)).toBeExisting();
  $(playlist.item0).click();
  await expect($(playlist.item0Play)).toBeExisting();
  await expect($(player.buttons.pause)).toBeExisting();
  await expect($(player.buttons.next)).toBeExisting();
});

Then(/^I pause first media item$/, async () => {
  $(player.buttons.pause).click();
  await expect($(playlist.item0Pause)).toBeExisting();
  await expect($(player.buttons.play)).toBeExisting();
});

Then(/^I unpause first media item$/, async () => {
  $(player.buttons.play).click();
  await expect($(playlist.item0Play)).toBeExisting();
  await expect($(player.buttons.pause)).toBeExisting();
});

Then(/^I play second media item from button next$/, async () => {
  $(player.buttons.next).click();
  await expect($(playlist.item1Play)).toBeExisting();
  await expect($(player.buttons.pause)).toBeExisting();
});

Then(/^I check media data on (.*) screen$/, async size => {
  const sizes = {
    large: {
      titleLocator: player.data.title
    },
    small: {
      titleLocator: player.data.title
    }
  };
  await expect($(sizes[size].titleLocator)).toBeExisting();
});

Then(/^I stop playing media items from button stop$/, async () => {
  $(player.buttons.stop).click();
  await expect($(player.data.stopped)).toBeExisting();
});
